This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 77981 - Bad source code
Bad source code
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tripwire (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-16 08:13 EST by d.binderman
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-16 08:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2002-11-16 08:13:43 EST
Description of Problem:

Hello there,

I just tried to compile package tripwire-2.3.1-14 from Redhat 8.0.

Here are some of the compiler messages.

twlocale.cpp:315: warning: `%c' yields only last 2 digits of year in some locales

I have no fix for the above problem.

signature.cpp:521: warning: long unsigned int format, int arg (arg 3)
signature.cpp:622: warning: unsigned int format, long unsigned int arg (arg 3)

On some machines, longs & ints are different sizes.

twutil.cpp:675: warning: cannot pass objects of non-POD type `const class cFileHeaderID' through `...'
twutil.cpp:778: warning: cannot pass objects of non-POD type `const class cFileHeaderID' through `...'

Again, I have no fix, but this needs fixing.



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jeff Johnson 2002-11-16 15:09:41 EST
Fixed (by commenting out the debug messages)
in tripwire-2.3.1-15

Note You need to log in before you can comment on or make changes to this bug.